edu.ucsb.nceas.metacat

## Class DistributionSection

- java.lang.Object
- - edu.ucsb.nceas.metacat.DistributionSection

-     public class DistributionSection
      extends java.lang.Object

  A Class that represents an XML access rule. It include principal and permission

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DATA_DISTRIBUTION`
    `static int` | `INLINE_DATA_DISTRIBUTION`
    `static int` | `OFFLINE_DATA_DISTRIBUTION`
    `static int` | `ONLINE_DATA_DISTRIBUTION`
    `static int` | `UNKNOWN_DISTRIBUTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DistributionSection(int id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AccessSection` | `getAccessSection()`
    `java.lang.String` | `getDataFileName()` Get the online data file name
    `int` | `getDistributionId()` Get the access type
    `int` | `getDistributionType()` Get the access type
    `void` | `setAccessSection(AccessSection aSection)`
    `void` | `setDataFileName(java.lang.String name)` Set the online data file name
    `void` | `setDistributionId(int id)` Set the distribution id
    `void` | `setDistributionType(int type)` Set the distribution type

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNKNOWN_DISTRIBUTION

          public static final int UNKNOWN_DISTRIBUTION

      See Also:
        Constant Field Values

    - #### DATA_DISTRIBUTION

          public static final int DATA_DISTRIBUTION

      See Also:
        Constant Field Values

    - #### ONLINE_DATA_DISTRIBUTION

          public static final int ONLINE_DATA_DISTRIBUTION

      See Also:
        Constant Field Values

    - #### INLINE_DATA_DISTRIBUTION

          public static final int INLINE_DATA_DISTRIBUTION

      See Also:
        Constant Field Values

    - #### OFFLINE_DATA_DISTRIBUTION

          public static final int OFFLINE_DATA_DISTRIBUTION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DistributionSection

          public DistributionSection(int id)

  - ### Method Detail

    - #### setDistributionId

          public void setDistributionId(int id)

      Set the distribution id

    - #### getDistributionId

          public int getDistributionId()

      Get the access type

    - #### setDistributionType

          public void setDistributionType(int type)

      Set the distribution type

    - #### getDataFileName

          public java.lang.String getDataFileName()

      Get the online data file name

    - #### setDataFileName

          public void setDataFileName(java.lang.String name)

      Set the online data file name

    - #### getDistributionType

          public int getDistributionType()

      Get the access type

    - #### setAccessSection

          public void setAccessSection(AccessSection aSection)

    - #### getAccessSection

          public AccessSection getAccessSection()

Copyright © 2020 Regents of the University of California. All Rights Reserved.